logica

## Class ExNihiloTest

- java.lang.Object
- - logica.CRUDTest

    public class ExNihiloTest
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ExNihiloTest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `crearActividad()`
`void` `crearAnotacion()`
`void` `crearApoderado()`
`void` `crearAsignatura()`
`void` `crearAsistencia()`
`void` `crearColegio()`
`void` `crearCurso()`
`void` `crearEstudiante()`
`void` `crearNota()`
`void` `crearProfesor()`
`void` `crudActividad()`
`void` `crudAnotacion()`
`void` `crudApoderado()`
`void` `crudAsignatura()`
`void` `crudAsistencia()`
`void` `crudColegio()`
`void` `crudCurso()`
`void` `crudEstudiante()`
`void` `crudNota()`
`void` `crudProfesor()`
`void` `eliminarActividad()`
`void` `eliminarAnotacion()`
`void` `eliminarApoderado()`
`void` `eliminarAsignatura()`
`void` `eliminarAsistencia()`
`void` `eliminarColegio()`
`void` `eliminarCurso()`
`void` `eliminarEstudiante()`
`void` `eliminarNota()`
`void` `eliminarProfesor()`
`void` `modificarActividad()`
`void` `modificarAnotacion()`
`void` `modificarApoderado()`
`void` `modificarAsignatura()`
`void` `modificarAsistencia()`
`void` `modificarColegio()`
`void` `modificarCurso()`
`void` `modificarEstudiante()`
`void` `modificarNota()`
`void` `modificarProfesor()`
`void` `setUp()`
`void` `tearDown()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExNihiloTest

    public ExNihiloTest()

### Method Detail

#### setUp

    public void setUp()
               throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### crearColegio

    public void crearColegio()

#### modificarColegio

    public void modificarColegio()

#### eliminarColegio

    public void eliminarColegio()

#### crudColegio

    public void crudColegio()

#### crearCurso

    public void crearCurso()

#### modificarCurso

    public void modificarCurso()

#### eliminarCurso

    public void eliminarCurso()

#### crudCurso

    public void crudCurso()

#### crearApoderado

    public void crearApoderado()

#### modificarApoderado

    public void modificarApoderado()

#### eliminarApoderado

    public void eliminarApoderado()

#### crudApoderado

    public void crudApoderado()

#### crearEstudiante

    public void crearEstudiante()

#### modificarEstudiante

    public void modificarEstudiante()

#### eliminarEstudiante

    public void eliminarEstudiante()

#### crudEstudiante

    public void crudEstudiante()

#### crearProfesor

    public void crearProfesor()

#### modificarProfesor

    public void modificarProfesor()

#### eliminarProfesor

    public void eliminarProfesor()

#### crudProfesor

    public void crudProfesor()

#### crearAsignatura

    public void crearAsignatura()

#### modificarAsignatura

    public void modificarAsignatura()

#### eliminarAsignatura

    public void eliminarAsignatura()

#### crudAsignatura

    public void crudAsignatura()

#### crearAsistencia

    public void crearAsistencia()

#### modificarAsistencia

    public void modificarAsistencia()

#### eliminarAsistencia

    public void eliminarAsistencia()

#### crudAsistencia

    public void crudAsistencia()

#### crearNota

    public void crearNota()

#### modificarNota

    public void modificarNota()

#### eliminarNota

    public void eliminarNota()

#### crudNota

    public void crudNota()

#### crearAnotacion

    public void crearAnotacion()

#### modificarAnotacion

    public void modificarAnotacion()

#### eliminarAnotacion

    public void eliminarAnotacion()

#### crudAnotacion

    public void crudAnotacion()

#### crearActividad

    public void crearActividad()

#### modificarActividad

    public void modificarActividad()

#### eliminarActividad

    public void eliminarActividad()

#### crudActividad

    public void crudActividad()

#### tearDown

    public void tearDown()